Bug 124654 - Unable to close most sidebar decks
Summary: Unable to close most sidebar decks
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2019-04-10 12:53 UTC by Buovjaga
Modified: 2019-04-12 16:37 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Buovjaga 2019-04-10 12:53:58 UTC
1. Open Writer
2. Open Sidebar
3. Try to close decks Properties, Page, Navigator, Manage changes, Design

Bibisected with win32-6.3 to
https://gerrit.libreoffice.org/plugins/gitiles/core/+/a58391b1f61db702a5246c5a33717cbba68c5252%5E!/
Related tdf#124263 Make sure sidebar is wide enough for content

It's the same on Linux.

Adding Cc: to Samuel Mehrbrodt
Comment 1 V Stuart Foote 2019-04-10 15:13:05 UTC
On Windows 10 Home 64-bit en-US (1809) with
Version: 6.3.0.0.alpha0+ (x64)
Build ID: f512f8818aec08a5b463c8acdf781e7ab27036f5
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-09_03:11:29
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

Confirmed with the Page and the Navigator decks. Using the "Close Sidebar Deck" button action they look to briefly close, but immediately reopen. 

Conversely the Page, Styles, and Gallery deck do close.
Comment 2 V Stuart Foote 2019-04-10 19:09:50 UTC
(In reply to V Stuart Foote from comment #1)
> ...
> Confirmed with the Page and the Navigator decks...

Sorry, typo. Should have read the Properties and Navigator decks. 

The Page, Styles and Gallery decks all will close.
Comment 3 Commit Notification 2019-04-12 06:18:02 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b5fdb148fe87a90f3e586efcea7aa6ef865fa42a%5E%21

tdf#124654 Don't reopen closed sidebar decks

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Buovjaga 2019-04-12 16:37:21 UTC
Great, I can close them again!

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: 03b3562a91c54e0c1b77982e1ca391b1131ac3c2
CPU threads: 8; OS: Linux 5.0; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 12 April 2019